import { Gtk } from "astal/gtk4"
import Network from "./modules/Networking/Network";
import Power from "./modules/Power";

const QuickActions = () => {
    const popover = new Gtk.Popover( { cssClasses: [ 'quick-actions-popover' ] } );

    popover.set_child( createQuickActionMenu() );

    return popover;
}


const createQuickActionMenu = () => {
    return <box visible cssClasses={[ 'quick-actions' ]}>
        <Power></Power>
        <Network></Network>
    </box>
}


// TODO: Expose additional functions to be usable through CLI
export default {
    QuickActions
};
